make.graphic.viewport
Prev | Graphics | Next

## Name

make.graphic.viewport — Use tables in HTML to make viewports for graphics

## Synopsis

    <xsl:param name="make.graphic.viewport" select="1"></xsl:param>

## Description

The HTML `img` element only supports the notion of content-area scaling; it doesn't support the distinction between a content-area and a viewport-area, so we have to make some compromises.

If `make.graphic.viewport` is non-zero, a table will be used to frame the image. This creates an effective viewport-area.

Tables and alignment don't work together, so this parameter is ignored if alignment is specified on an image.

Prev | Up | Next
use.embed.for.svg | Home | preferred.mediaobject.role